> For the complete documentation index, see [llms.txt](https://docs.kognitos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kognitos.com/legacy/legacy-experience/rest-api/v2/processes.md).

# Processes

Retrieve information about your automation processes. You can retrieve details about a specific process or all processes within an agent.

## List Processes

> Get a list of processes for a specified \`agent\_id\`.

```json
{"openapi":"3.1.0","info":{"title":"Kognitos REST API v2","version":"2.0.0"},"tags":[{"description":"Retrieve information about your automation processes. You can retrieve details about a specific process or all processes within an agent.","name":"processes"}],"servers":[{"description":"US Region","url":"https://rest-api.app.kognitos.com/v2"},{"description":"EU Region","url":"https://rest-api.eu.kognitos.com/v2"},{"description":"UK Region","url":"https://rest-api.uk.kognitos.com/v2"}],"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"ListResponse":{"properties":{"continuation_token":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Used in subsequent GET requests to obtain more results for the same query (pagination)","title":"Continuation Token"},"items":{"anyOf":[{"items":{},"type":"array"},{"type":"null"}],"description":"List of resources","title":"Items"}},"required":["items","continuation_token"],"title":"ListResponse","type":"object"},"ErrorModel":{"properties":{"details":{"anyOf":[{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array"},{"type":"null"}],"description":"An optional list of details about the error","title":"Details"},"message":{"description":"Error message","title":"Message","type":"string"},"status_code":{"description":"HTTP status code corresponding to the error","title":"Status Code","type":"integer"}},"required":["status_code","message"],"title":"ErrorModel","type":"object"},"ErrorDetail":{"properties":{"name":{"description":"Name of the error detail","title":"Name","type":"string"},"value":{"$ref":"#/components/schemas/ErrorDetailType","description":"Value of the error detail"}},"required":["name","value"],"title":"ErrorDetail","type":"object"},"ErrorDetailType":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"number"}]}}},"paths":{"/processes":{"get":{"description":"Get a list of processes for a specified `agent_id`.","operationId":"list_processes","parameters":[{"description":"The unique identifier of the agent. Find your agent ID by opening the **Agent** drop-down menu at the top of the platform, selecting **View All**, and locating the ID in the table.","in":"query","name":"agent_id","required":true,"schema":{"description":"The unique identifier of the agent. Find your agent ID by opening the **Agent** drop-down menu at the top of the platform, selecting **View All**, and locating the ID in the table.","title":"Agent ID","type":"string"}},{"description":"Maximum number of items to return.","in":"query","name":"limit","required":false,"schema":{"anyOf":[{"maximum":100,"type":"integer"},{"type":"null"}],"description":"Maximum number of items to return.","title":"Limit"}},{"description":"Pagination token used to retrieve the next page of results. It is returned in a prior response from a call made to this endpoint. ","in":"query","name":"continuation_token","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Pagination token used to retrieve the next page of results. It is returned in a prior response from a call made to this endpoint. ","title":"Continuation Token"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListResponse"}}},"description":"A List of processes"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"Invalid input values"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"The specified agent was not found"}},"summary":"List Processes","tags":["processes"]}}}}
```

## Get Process

> Get information about a specific process.

```json
{"openapi":"3.1.0","info":{"title":"Kognitos REST API v2","version":"2.0.0"},"tags":[{"description":"Retrieve information about your automation processes. You can retrieve details about a specific process or all processes within an agent.","name":"processes"}],"servers":[{"description":"US Region","url":"https://rest-api.app.kognitos.com/v2"},{"description":"EU Region","url":"https://rest-api.eu.kognitos.com/v2"},{"description":"UK Region","url":"https://rest-api.uk.kognitos.com/v2"}],"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"ProcessResource":{"properties":{"agent_id":{"description":"The ID of the agent","maxLength":26,"minLength":1,"pattern":"^[a-zA-Z0-9-_]+$","title":"Agent Id","type":"string"},"id":{"description":"The ID of the resource","maxLength":26,"minLength":1,"pattern":"^[a-zA-Z0-9-_]+$","title":"Id","type":"string"},"name":{"description":"The name of the resource","maxLength":100,"minLength":1,"title":"Name","type":"string"},"stage":{"$ref":"#/components/schemas/ProcessStage","description":"The stage of the process"}},"required":["agent_id","stage","id","name"],"title":"ProcessResource","type":"object"},"ProcessStage":{"description":"Stage of a process","enum":["Draft","Published"],"title":"ProcessStage","type":"string"},"ErrorModel":{"properties":{"details":{"anyOf":[{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array"},{"type":"null"}],"description":"An optional list of details about the error","title":"Details"},"message":{"description":"Error message","title":"Message","type":"string"},"status_code":{"description":"HTTP status code corresponding to the error","title":"Status Code","type":"integer"}},"required":["status_code","message"],"title":"ErrorModel","type":"object"},"ErrorDetail":{"properties":{"name":{"description":"Name of the error detail","title":"Name","type":"string"},"value":{"$ref":"#/components/schemas/ErrorDetailType","description":"Value of the error detail"}},"required":["name","value"],"title":"ErrorDetail","type":"object"},"ErrorDetailType":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"number"}]}}},"paths":{"/processes/{process_id}":{"get":{"description":"Get information about a specific process.","operationId":"get_process","parameters":[{"description":"The unique identifier of the process. This can be obtained by calling the **List Processes** endpoint.","in":"path","name":"process_id","required":true,"schema":{"description":"The unique identifier of the process. This can be obtained by calling the **List Processes** endpoint.","title":"Process ID","type":"string"}},{"description":"The unique identifier of the agent. Find your agent ID by opening the **Agent** drop-down menu at the top of the platform, selecting **View All**, and locating the ID in the table.","in":"query","name":"agent_id","required":true,"schema":{"description":"The unique identifier of the agent. Find your agent ID by opening the **Agent** drop-down menu at the top of the platform, selecting **View All**, and locating the ID in the table.","title":"Agent ID","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessResource"}}},"description":"The process specified"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"Invalid input values"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"The specified process or agent was not found"}},"summary":"Get Process","tags":["processes"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kognitos.com/legacy/legacy-experience/rest-api/v2/processes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
